

namespace Stary.Evo.Example.Counter
{
    public class CounterApp : Architecture<CounterApp>
    {
        protected override void Init()
        {
            RegisterSystem<IAchievementSystem>(new AchievementSystem());
            RegisterData<ICounterData>(new CounterData());
            RegisterUtility<IStorage>(new PlayerPrefsStorage());
        }
    }

}